| ICM45686 eMD driver Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_imu_sensor_event_t Struct Reference
Driver Advanced

Sensor event structure definition. More...

`#include <inv_imu_driver_advanced.h>`

## Public Attributes
int | sensor_mask
| Specifies which sensors are available in the event (defined by inv_imu_sensor_id_t as a mask) More...
uint16_t | timestamp_fsync
| Value of the FIFO timestamp (if FIFO is used) More...
int16_t | accel [3]
| Accel raw data. More...
int16_t | gyro [3]
| Gyro raw data. More...
int16_t | temperature
| Temperature raw data. More...
int8_t | accel_high_res [3]
| High-res portion of the accel raw data (if using high-res mode) More...
int8_t | gyro_high_res [3]
| High-res portion of the accel raw data (if using high-res mode) More...
uint8_t | es0 [9]
| Buffer for external sensor 0 connected to EDMP. More...
uint8_t | es1 [6]
| Buffer for external sensor 1 connected to EDMP. More...

## Detailed Description

Sensor event structure definition.

## Member Data Documentation

## ◆ accel

int16_t inv_imu_sensor_event_t::accel[3]

Accel raw data.

## ◆ accel_high_res

int8_t inv_imu_sensor_event_t::accel_high_res[3]

High-res portion of the accel raw data (if using high-res mode)

## ◆ es0

uint8_t inv_imu_sensor_event_t::es0[9]

Buffer for external sensor 0 connected to EDMP.

## ◆ es1

uint8_t inv_imu_sensor_event_t::es1[6]

Buffer for external sensor 1 connected to EDMP.

## ◆ gyro

int16_t inv_imu_sensor_event_t::gyro[3]

Gyro raw data.

## ◆ gyro_high_res

int8_t inv_imu_sensor_event_t::gyro_high_res[3]

High-res portion of the accel raw data (if using high-res mode)

## ◆ sensor_mask

int inv_imu_sensor_event_t::sensor_mask

Specifies which sensors are available in the event (defined by inv_imu_sensor_id_t as a mask)

## ◆ temperature

int16_t inv_imu_sensor_event_t::temperature

Temperature raw data.

## ◆ timestamp_fsync

uint16_t inv_imu_sensor_event_t::timestamp_fsync

Value of the FIFO timestamp (if FIFO is used)

The documentation for this struct was generated from the following file:

- inv_imu_driver_advanced.h